package com.autentia.tutoriales.axis2.cliente;

import org.apache.axiom.om.OMElement;
import org.apache.axis2.context.MessageContext;
import org.apache.axis2.client.async.AxisCallback;

/**
 * Implementación de un AxisCallback para las operaciones asincronas.
 * @author Carlos García. Autentia.
 */
public class MyAxisCallback implements AxisCallback {
	
	/* 
	 * @see org.apache.axis2.client.async.AxisCallback#onComplete()
	 */
	public void onComplete() {
		System.out.println("onComplete");
	}

	/* 
	 * @see org.apache.axis2.client.async.AxisCallback#onFault(org.apache.axis2.context.MessageContext)
	 */
	public void onFault(MessageContext context) {
		System.out.println("onFault");
		
		OMElement payload = context.getEnvelope().getBody();
		System.out.println(payload);				
	}			
	
	/* 
	 * @see org.apache.axis2.client.async.AxisCallback#onError(java.lang.Exception)
	 */
	public void onError(Exception ex) {
		System.out.println("onError " + ex.toString());
	}

	/* 
	 * @see org.apache.axis2.client.async.AxisCallback#onMessage(org.apache.axis2.context.MessageContext)
	 */
	public void onMessage(MessageContext context) {
		System.out.println("onMessage");
		OMElement payload = context.getEnvelope().getBody();
		System.out.println(payload);
	}    
}
